%define module django-dpaste

Summary:	Dpaste is a code paste-bin application using Django
Name:		python-django-dpaste
Version:	0.2.4
Release:	%mkrel 1
License:	BSD with advertising
Group:		Development/Python
URL:		http://code.google.com/p/%module/	
SOURCE:		http://pypi.python.org/packages/source/d/%module/%module-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
BuildRequires:	python-devel python-setuptools
Requires:	python-django-mptt python-pygments

%description
Originally inspired by dpaste.com this application adds the ability to:

See the differences between snippets
A history of snippets as a tree
See your latest 25 snippets (admin setting)
A huge bunch of syntax highlighters (lexers)
User defined settings to change the font-family as well as font-sizes
Nicer colors
Multilangual interface

%prep
%setup -q -n %{module}-%{version}
# the following line is to account for a build problem thats outside of my control
# it will be fixed upstream very soon, but I don't see it as a reason to delay packaging
find $buildroot -type f \( -name .DS_Store -o -name ._\* \) -print0 |xargs -0 rm -f
rm -rf dpaste/templates/dpaste/.tmp* 
%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%clean
rm  -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE MANIFEST.in README.rst
%{python_sitelib}/django_dpaste-%{version}-py2.*
%{python_sitelib}/dpaste
%lang(en) %{python_sitelib}/dpaste/locale/en/LC_MESSAGES/django.mo
%lang(de) %{python_sitelib}/dpaste/locale/de/LC_MESSAGES/django.mo



%changelog
* Fri May 06 2011 misc <misc> 0.2.4-1.mga1
+ Revision: 95266
- fix Group
- fix buildrequires
- imported package python-django-dpaste


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.2.4-1.mga
- adapt to Mageia

* Fri Apr 08 2011 Dave Riches <dcr226@fedoraproject.org> - 0.2.4-3
- Added patch to build for epel5

* Thu Oct 21 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2.4-2
- Fixed dependency issue

* Fri Aug 20 2010 Dave Riches <dcr226@fedoraproject.org> - 0.2-1
- Packaged for Fedora 12/13/14

* Fri Nov 28 2008 martin@mahner.org
- added user-defined exipration for snippets
- added a management command to purge old snippets
- new secret ids - This is backwards incompatible!
- User can delete his snippet at any time
- added this changelog :)

